# Installation

## Setting up the environment

1. Create a virtual environment:

```sh
python3 -m venv .venv
```

2. Activate the virtual environment:

```sh
. .venv/bin/activate
```

3. Install dependencies:

```sh
pip install -r requirements.txt
```

4. Set the environment variables:

```sh
export DEBUGMODE=False
export PASTE_DIR=paste
```

Or source the .env file:

```sh
cp .env.example .env # change the variables to suit your environment as needed
```

```sh
. .env
```

5. Run the app:

```sh
waitress-serve --listen=0.0.0.0:8080 app:app
```

# Docker

## Running the container

```sh
docker run adrianux:latest
```
# Docker Compose

```sh
docker compose up adrianux
```
